Skip to main content
GET
/
v1
/
events
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"github.com/polarsource/polar-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.Events.List(ctx, operations.EventsListRequest{
        OrganizationID: polargo.Pointer(operations.CreateEventsListQueryParamOrganizationIDFilterStr(
            "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
        )),
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ResponseEventsList != nil {
        switch res.ResponseEventsList.Type {
            case operations.EventsListResponseEventsListTypeListResourceEvent:
                // res.ResponseEventsList.ListResourceEvent is populated
            case operations.EventsListResponseEventsListTypeListResourceWithCursorPaginationEvent:
                // res.ResponseEventsList.ListResourceWithCursorPaginationEvent is populated
        }

    }
}
{
  "items": [
    {
      "id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "organization_id": "<string>",
      "customer_id": "<string>",
      "customer": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "metadata": {},
        "email": "<string>",
        "email_verified": true,
        "type": "<string>",
        "name": "John Doe",
        "billing_address": {
          "country": "AD",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "city": "<string>",
          "state": "<string>"
        },
        "tax_id": {
          "[0]": "<string>"
        },
        "organization_id": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "avatar_url": "<string>",
        "external_id": "usr_1337",
        "locale": "<string>"
      },
      "external_customer_id": "<string>",
      "label": "<string>",
      "source": "<string>",
      "name": "<string>",
      "metadata": {
        "meter_id": "<string>",
        "units": 123,
        "rollover": true
      },
      "member_id": "<string>",
      "external_member_id": "<string>",
      "child_count": 0,
      "parent_id": "<string>"
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

filter
string | null

Filter events following filter clauses. JSON string following the same schema a meter filter clause.

start_timestamp
string<date-time> | null

Filter events after this timestamp.

end_timestamp
string<date-time> | null

Filter events before this timestamp.

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by external customer ID.

meter_id
string<uuid4> | null

Filter by a meter filter clause. The meter ID.

name

Filter by event name.

source

Filter by event source.

Available options:
system,
user
query
string | null

Query to filter events.

parent_id
string<uuid4> | null

When combined with depth, use this event as the anchor instead of root events. The event ID.

depth
integer | null

Fetch descendants up to this depth. When set: 0=root events only, 1=roots+children, etc. Max 5. When not set, returns all events.

Required range: 0 <= x <= 5
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
timestamp,
-timestamp
metadata
MetadataQuery · object

Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Successful Response

items
(MeterCreditEvent · object | MeterResetEvent · object | BenefitGrantedEvent · object | BenefitCycledEvent · object | BenefitUpdatedEvent · object | BenefitRevokedEvent · object | SubscriptionCreatedEvent · object | SubscriptionUpdatedEvent · object | SubscriptionCycledEvent · object | SubscriptionCanceledEvent · object | SubscriptionRevokedEvent · object | SubscriptionUncanceledEvent · object | SubscriptionProductUpdatedEvent · object | SubscriptionSeatsUpdatedEvent · object | SubscriptionBillingPeriodUpdatedEvent · object | OrderPaidEvent · object | OrderRefundedEvent · object | OrderVoidedEvent · object | CheckoutCreatedEvent · object | CustomerCreatedEvent · object | CustomerUpdatedEvent · object | CustomerDeletedEvent · object | BalanceOrderEvent · object | BalanceCreditOrderEvent · object | BalanceRefundEvent · object | BalanceRefundReversalEvent · object | BalanceDisputeEvent · object | BalanceDisputeReversalEvent · object | UserEvent · object)[]
required

An event created by Polar when credits are added to a customer meter.

pagination
Pagination · object
required